Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreOptimisedUtil.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreEdgeListBuilder.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Functions
template<class T>
static FORCEINLINE T * | rawOffsetPointer (T *ptr, ptrdiff_t offset)
| Returns raw offseted of the given pointer.
template<class T>
static FORCEINLINE void | advanceRawPointer (T *&ptr, ptrdiff_t offset)
| Advance the pointer with raw offset.

## Function Documentation

template<class T>
static FORCEINLINE void advanceRawPointer | ( | T *& | ptr,
|  | ptrdiff_t | offset
| ) | `[static]`

| Advance the pointer with raw offset. Note: The offset are in bytes, no matter what type of the pointer. Definition at line 214 of file OgreOptimisedUtil.h. References FORCEINLINE, and Ogre::rawOffsetPointer().

template<class T>
static FORCEINLINE T* rawOffsetPointer | ( | T * | ptr,
|  | ptrdiff_t | offset
| ) | `[static]`

| Returns raw offseted of the given pointer. Note: The offset are in bytes, no matter what type of the pointer. Definition at line 204 of file OgreOptimisedUtil.h. References FORCEINLINE. Referenced by Ogre::advanceRawPointer().

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007